from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import (
    BlogPostViewSet,
    BlogCategoryViewSet,
    BlogAuthorViewSet,
    BlogTagViewSet,
    BlogCommentViewSet
)

router = DefaultRouter()
router.register(r'posts', BlogPostViewSet, basename='blog-post')
router.register(r'categories', BlogCategoryViewSet, basename='blog-category')
router.register(r'authors', BlogAuthorViewSet, basename='blog-author')
router.register(r'tags', BlogTagViewSet, basename='blog-tag')
router.register(r'comments', BlogCommentViewSet, basename='blog-comment')

urlpatterns = [
    path('', include(router.urls)),
]

